Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNASecurityTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNASecurityTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNASecurityTypes

extends java.lang.Object

`SNASecurityTypes` class represents all security types:

  `CM_SECURITY_NONE`
  `CM_SECURITY_SAME`
  `CM_SECURITY_PROGRAM`
  `CM_SECURITY_DISTRIBUTED`
  `CM_SECURITY_MUTUAL`
  `CM_SECURITY_PROGRAM_STRONG`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_SECURITY_DISTRIBUTED`
`static int` | `CM_SECURITY_MUTUAL`
`static int` | `CM_SECURITY_NONE`
`static int` | `CM_SECURITY_PROGRAM`
`static int` | `CM_SECURITY_PROGRAM_STRONG`
`static int` | `CM_SECURITY_SAME`

Constructor Summary
`SNAConstants.SNASecurityTypes()`

Method Summary
`static int` | `getCM_SECURITY_DISTRIBUTED()`
`static int` | `getCM_SECURITY_MUTUAL()`
`static int` | `getCM_SECURITY_NONE()`
`static int` | `getCM_SECURITY_PROGRAM_STRONG()`
`static int` | `getCM_SECURITY_PROGRAM()`
`static int` | `getCM_SECURITY_SAME()`
`static java.lang.String` | `getSecurityTypeString(int securityType)` Returns the securityType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_SECURITY_NONE

    public static final int CM_SECURITY_NONE

See Also:
  Constant Field Values

### CM_SECURITY_SAME

    public static final int CM_SECURITY_SAME

See Also:
  Constant Field Values

### CM_SECURITY_PROGRAM

    public static final int CM_SECURITY_PROGRAM

See Also:
  Constant Field Values

### CM_SECURITY_DISTRIBUTED

    public static final int CM_SECURITY_DISTRIBUTED

See Also:
  Constant Field Values

### CM_SECURITY_MUTUAL

    public static final int CM_SECURITY_MUTUAL

See Also:
  Constant Field Values

### CM_SECURITY_PROGRAM_STRONG

    public static final int CM_SECURITY_PROGRAM_STRONG

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNASecurityTypes

    public SNAConstants.SNASecurityTypes()

Method Detail

### getCM_SECURITY_NONE

    public static final int getCM_SECURITY_NONE()

  Returns:
    CM_SECURITY_NONE

### getCM_SECURITY_SAME

    public static final int getCM_SECURITY_SAME()

  Returns:
    CM_SECURITY_SAME

### getCM_SECURITY_PROGRAM

    public static final int getCM_SECURITY_PROGRAM()

  Returns:
    CM_SECURITY_PROGRAM

### getCM_SECURITY_DISTRIBUTED

    public static final int getCM_SECURITY_DISTRIBUTED()

  Returns:
    CM_SECURITY_DISTRIBUTED

### getCM_SECURITY_MUTUAL

    public static final int getCM_SECURITY_MUTUAL()

  Returns:
    CM_SECURITY_MUTUAL

### getCM_SECURITY_PROGRAM_STRONG

    public static final int getCM_SECURITY_PROGRAM_STRONG()

  Returns:
    CM_SECURITY_PROGRAM_STRONG

### getSecurityTypeString

    public static final java.lang.String getSecurityTypeString(int securityType)

  Returns the securityType as String

  Parameters:
    `securityType` - The securityType in int
  Returns:
    The securityType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.